> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Segment Conditions

> Get all available segment conditions



## OpenAPI

````yaml GET /api/segments/conditions
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/segments/conditions:
    get:
      tags:
        - Segments
      summary: Get Segment Conditions
      description: Get all available segment conditions
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      conditions:
                        type: array
                        items:
                          type: object
                          properties:
                            field:
                              type: string
                              description: The field to include in the segment
                            operators:
                              type: array
                              items:
                                type: string
                                enum:
                                  - equals
                                  - not_equals
                                  - greater_than
                                  - less_than
                                  - exists
                                  - not_exists
                                  - equals_month_day
                                  - equals_month_day_year
                                  - between_month_day
                                  - between_month_day_year
                                  - array_contains
                                  - contains
                                  - not_contains
                                  - in
                              description: The operators to include in the segment
                            type:
                              type: string
                              enum:
                                - string
                                - number
                                - integer
                                - boolean
                                - array
                                - date
                                - date-time
                                - reach-resource
                              description: The type of segment
                            itemType:
                              type: string
                              enum:
                                - string
                                - number
                                - integer
                                - boolean
                                - array
                                - date
                                - date-time
                                - reach-resource
                              description: >-
                                If the type is an array, this is the type of the
                                items
                            options:
                              type: array
                              items:
                                type: object
                                properties:
                                  displayName:
                                    type: string
                                    description: The display name of the option
                                  id:
                                    type: string
                                    description: The id of the option
                                required:
                                  - displayName
                                  - id
                              description: The options to include in the segment
                            description:
                              type: string
                              description: The description of the condition
                          required:
                            - field
                            - operators
                            - type
                        description: The conditions to include in the segment
                    required:
                      - conditions
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````